import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class GuiTestActionListener implements ActionListener {
	private JList list;
	private JTextField fname;
	private JTextField lname;
	private JTextField age;
	private JRadioButton sm;

	GuiTestActionListener() {
	}

	GuiTestActionListener(JList list, JTextField fname,
				JTextField lname, JTextField age, JRadioButton sm) {
		this.list = list;
		this.fname = fname;
		this.lname = lname;
		this.age = age;
		this.sm = sm;
	}

	public void actionPerformed(ActionEvent e) {
		String cmd = e.getActionCommand();
		Out.print(cmd + ": ");
		if (cmd.equals("Person einfgen")) {
			String str = fname.getText() + " " +
				lname.getText() + ", " + age.getText();
			if (sm.isSelected())
				str += ", weiblich";
			else
				str += ", maennlich";
			((DefaultListModel)list.getModel()).addElement(str);
			Out.println(str);
		} else if (cmd.equals("Selektierte Person lschen")) {
			int idx = list.getSelectedIndex();
			Out.println("Index " + idx);
			if (idx >= 0)
				((DefaultListModel)list.getModel()).remove(idx);
		}
	}
}
