import java.awt.*;
import javax.swing.*;

public class GuiTest {

	public static void main(String[] args) {
		GuiTest guiTest = new GuiTest();
		guiTest.createMyGUI();
	}

	/**
	 * Example GUI
	 */
	void createMyGUI() {
		JFrame f = new JFrame("Personenliste");
		Container p = f.getContentPane();
		p.setLayout(new GridLayout(1, 2));

		JPanel leftPanel;
		leftPanel = new JPanel();
		leftPanel.setLayout(new GridLayout(4 /* 7 */, 2));

		leftPanel.add(new JLabel("Vorname"));
		JTextField fname = new JTextField();
		leftPanel.add(fname);

		leftPanel.add(new JLabel("Nachname"));
		JTextField lname = new JTextField();
		leftPanel.add(lname);

		leftPanel.add(new JLabel("Alter"));
		JTextField age = new JTextField();
		leftPanel.add(age);

		leftPanel.add(new JLabel("Geschlecht"));
		JPanel sex = new JPanel();
		sex.setLayout(new GridLayout(1,2));
		ButtonGroup bg = new ButtonGroup();
		JRadioButton sm = new JRadioButton("maennlich", true);
		bg.add(sm);
		sex.add(sm);
		sm = new JRadioButton("weiblich", false);
		bg.add(sm);
		sex.add(sm);
		leftPanel.add(sex);
		p.add(leftPanel);


		JPanel rightPanel = new JPanel(); // Default: FlowLayout
//		rightPanel.setLayout(new BorderLayout());

//		rightPanel.add(new JLabel("Personenliste (Vorname, Nachname, Alter, Geschlecht)"),
//								BorderLayout.NORTH);

		JList list = new JList(new String[] {
					"Max, Mustermann, 20, mnnlich",
					"Mira, Musterfrau, 18, weiblich" });
		rightPanel.add(new JScrollPane(list) /*, BorderLayout.CENTER*/);

/*		JPanel but = new JPanel();
		JButton b = new JButton("Person einfgen");
		but.add(b);

		b = new JButton("Selektierte Person lschen");
		but.add(b);
		rightPanel.add(but, BorderLayout.SOUTH);
*/
		p.add(rightPanel);

		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.pack();
		f.show();
	}

}